MoneyTest
Keywords: junit.samples.money.MoneyTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.samples.money
Class MoneyTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.samples.money.MoneyTest

All Implemented Interfaces:
  Test

    public class MoneyTest

extends TestCase

Constructor Summary
`MoneyTest()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`protected void` | `setUp()` Sets up the fixture, for example, open a network connection.
`void` | `testBagMultiply()`
`void` | `testBagNegate()`
`void` | `testBagNotEquals()`
`void` | `testBagSimpleAdd()`
`void` | `testBagSubtract()`
`void` | `testBagSumAdd()`
`void` | `testIsZero()`
`void` | `testMixedSimpleAdd()`
`void` | `testMoneyBagEquals()`
`void` | `testMoneyBagHash()`
`void` | `testMoneyEquals()`
`void` | `testMoneyHash()`
`void` | `testNormalize2()`
`void` | `testNormalize3()`
`void` | `testNormalize4()`
`void` | `testPrint()`
`void` | `testSimpleAdd()`
`void` | `testSimpleBagAdd()`
`void` | `testSimpleMultiply()`
`void` | `testSimpleNegate()`
`void` | `testSimpleSubtract()`
`void` | `testSimplify()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoneyTest

    public MoneyTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### setUp

    protected void setUp()

  Description copied from class: `TestCase`
  Sets up the fixture, for example, open a network connection. This method is called before a test is executed.

  Overrides:
    `setUp` in class `TestCase`

### testBagMultiply

    public void testBagMultiply()

### testBagNegate

    public void testBagNegate()

### testBagSimpleAdd

    public void testBagSimpleAdd()

### testBagSubtract

    public void testBagSubtract()

### testBagSumAdd

    public void testBagSumAdd()

### testIsZero

    public void testIsZero()

### testMixedSimpleAdd

    public void testMixedSimpleAdd()

### testBagNotEquals

    public void testBagNotEquals()

### testMoneyBagEquals

    public void testMoneyBagEquals()

### testMoneyBagHash

    public void testMoneyBagHash()

### testMoneyEquals

    public void testMoneyEquals()

### testMoneyHash

    public void testMoneyHash()

### testSimplify

    public void testSimplify()

### testNormalize2

    public void testNormalize2()

### testNormalize3

    public void testNormalize3()

### testNormalize4

    public void testNormalize4()

### testPrint

    public void testPrint()

### testSimpleAdd

    public void testSimpleAdd()

### testSimpleBagAdd

    public void testSimpleBagAdd()

### testSimpleMultiply

    public void testSimpleMultiply()

### testSimpleNegate

    public void testSimpleNegate()

### testSimpleSubtract

    public void testSimpleSubtract()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD